AbstractSelectionFunction (BioJava-1.5-beta API)
Keywords: org.biojavax.ga.functions.AbstractSelectionFunction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.functions
Class AbstractSelectionFunction

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojavax.ga.functions.AbstractSelectionFunction

All Implemented Interfaces:
  Changeable, SelectionFunction

Direct Known Subclasses:
  ProportionalSelection, SelectionFunction.Threshold

    public abstract class AbstractSelectionFunction

extends AbstractChangeable
implements SelectionFunction

Abstract implementation of `FitnessFunction`. All custom implementations should inherit from here to get access to change support.

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.ga.functions.SelectionFunction
`SelectionFunction.SelectAll, SelectionFunction.Threshold`

Field Summary

Fields inherited from interface org.biojavax.ga.functions.SelectionFunction
`DEFAULT, FITNESS_FUNCTION`

Constructor Summary
`protected` | `AbstractSelectionFunction()`

Method Summary
`FitnessFunction` | `getFitnessFunction()`
`void` | `setFitnessFunction(FitnessFunction func)` The fitness function that will be used by the select method.

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojavax.ga.functions.SelectionFunction
`select`

Constructor Detail

### AbstractSelectionFunction

    protected AbstractSelectionFunction()

Method Detail

### getFitnessFunction

    public FitnessFunction getFitnessFunction()

  Specified by:
    `getFitnessFunction` in interface `SelectionFunction`

### setFitnessFunction

    public final void setFitnessFunction(FitnessFunction func)
                                  throws ChangeVetoException

  Description copied from interface: `SelectionFunction`
  The fitness function that will be used by the select method.

  Specified by:
    `setFitnessFunction` in interface `SelectionFunction`
  Parameters:
    `func` - the `FitnessFunction` to be used
  Throws:
    `ChangeVetoException` - if the change is vetoed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD